Bug 183266 - kpilotDaemon crashes as soon as started before Tunsten T3 even connected
kpilotDaemon crashes as soon as started before Tunsten T3 even connected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 15:26 EST by David W. Legg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 08:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Back trace created by KDE when crash occurred (5.77 KB, text/plain)
2006-02-27 15:26 EST, David W. Legg
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 123246 None None None Never

  None (edit)
Description David W. Legg 2006-02-27 15:26:26 EST
Description of problem:
kpilotDaemon crashes as soon as it is started.
This doesn't look quite the same as other open bugs.

Version-Release number of selected component (if applicable):
kdepim-3.5.1-1.2


How reproducible:
Always.

Steps to Reproduce:
1.Open konsole.
2.Enter kpilotDaemon&
3.Half a second later, it crashes
  
Actual results:
[daddy@arcturus ~]$ /usr/bin/kpilotDaemon&
[1] 2861
[daddy@arcturus ~]$ *** buffer overflow detected ***: kpilotDaemon terminated
======= Backtrace: =========
/lib64/libc.so.6(__chk_fail+0x2f)[0x3a24ddf08f]
... etc.

Expected results:
Silence, + communication with Palm Tungsten T3.

Additional info:
See attached backtrace.
Comment 1 David W. Legg 2006-02-27 15:26:26 EST
Created attachment 125347 [details]
Back trace created by KDE when crash occurred
Comment 2 Rex Dieter 2006-03-08 13:18:44 EST
See also upstream kde bugzilla:
http://bugs.kde.org/123246
Comment 3 Ngo Than 2006-03-09 08:10:25 EST
i plan to revert pilot-link to stable version pilot-link-0.11.8 after FC5 release.
Comment 4 Ngo Than 2006-05-03 08:22:19 EDT
It looks a bug in pilot-link and it's fixed in fc5-update. You should Please
update to new packages. Thanks for your report
Comment 5 David W. Legg 2006-05-03 09:20:35 EDT
Yep, fixed in FC5 x86_64 updates. Cheers, guys.

Note You need to log in before you can comment on or make changes to this bug.